> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinvoyage.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Methods

> Get the available payment methods for a PayOrder at the current request origin



## OpenAPI

````yaml https://api.coinvoyage.io/v2/openapi.json get /pay-orders/{payorder_id}/payment-methods
openapi: 3.1.0
info:
  title: CoinVoyage API
  description: Cryptocurrency payment processing API
  version: 2.2.0
servers:
  - url: https://api.coinvoyage.io/v2
security: []
paths:
  /pay-orders/{payorder_id}/payment-methods:
    get:
      tags:
        - pay-orders
      summary: Get Payment Methods
      description: >-
        Get the available payment methods for a PayOrder at the current request
        origin
      operationId: payOrder-paymentMethods
      parameters:
        - description: API key for authentication
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
        - in: path
          name: payorder_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentMethodsResponse'
          description: Payment methods
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized - Authentication required
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found - PayOrder not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity - PayOrder is not payable
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    PaymentMethodsResponse:
      example:
        methods:
          - available: true
            method: CARD
            minimum_amount:
              amount: 100
              unit: USD
            reason: Card payments are only available in the EU and US
      properties:
        methods:
          items:
            $ref: '#/components/schemas/PaymentMethodAvailability'
          type: array
      required:
        - methods
      type: object
    ErrorResponse:
      example:
        code: 400
        error: Bad Request
        message: Invalid request parameters
      properties:
        error:
          example: Bad Request
          type: string
        message:
          example: Invalid request parameters
          type: string
        code:
          example: 400
          format: int64
          type: integer
        details:
          anyOf:
            - type: string
            - type: number
            - type: object
      required:
        - error
        - message
        - code
      type: object
    PaymentMethodAvailability:
      example:
        available: true
        method: CARD
        minimum_amount:
          amount: 100
          unit: USD
        reason: Card payments are only available in the EU and US
      properties:
        method:
          $ref: '#/components/schemas/PaymentMethod'
          example: CARD
        available:
          example: true
          type: boolean
        reason:
          example: Card payments are only available in the EU and US
          type:
            - string
            - 'null'
        minimum_amount:
          anyOf:
            - $ref: '#/components/schemas/FiatAmount'
            - type: 'null'
      required:
        - method
        - available
      type: object
    PaymentMethod:
      enum:
        - WALLET
        - DEPOSIT_ADDRESS
        - CARD
      type: string
    FiatAmount:
      example:
        amount: 100
        unit: USD
      properties:
        amount:
          example: 100
          type: number
        unit:
          $ref: '#/components/schemas/Fiat'
          example: USD
      required:
        - amount
        - unit
      type: object
    Fiat:
      enum:
        - USD
        - EUR
      type: string
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````